package com.loafle.overflow.service.central.infra;

import java.util.List;

import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.infra.InfraHostIP;

/**
 * Created by insanity on 17. 6. 28.
 */

public interface InfraHostIPService {
  InfraHostIP regist(InfraHostIP infraHostIP) throws OverflowException;

  InfraHostIP read(Long id) throws OverflowException;

  List<InfraHostIP> readByInfraHostID(Long infraHostID) throws OverflowException;

  List<InfraHostIP> readByInfraHostIDAndMetaIPTypeKey(Long infraHostID, String metaIPTypeKey) throws OverflowException;

  InfraHostIP readByInfraHostIDAndMetaIPTypeKeyAndAddress(Long infraHostID, String metaIPTypeKey, String address)
      throws OverflowException;

  InfraHostIP readByInfraHostInfraZoneIDAndMetaIPTypeKeyAndAddress(Long infraHostInfraZoneID, String metaIPTypeKey,
      String address) throws OverflowException;

}
